petsc-3.4.2 2013-07-02

# MatSchurComplementUpdate

Updates the Schur complement matrix object with new submatrices

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  MatSchurComplementUpdate(Mat N,Mat A,Mat Ap,Mat B,Mat C,Mat D,MatStructure str)

Collective on Mat

### Input Parameters

| N | - the matrix obtained with MatCreateSchurComplement()
| A,B,C,D | - the four parts of the original matrix (D is optional)
| str | - either SAME_NONZERO_PATTERN,DIFFERENT_NONZERO_PATTERN,SAME_PRECONDITIONER

Notes: All four matrices must have the same MPI communicator

A and D must be square matrices

All of the matrices provided must have the same sizes as was used with MatCreateSchurComplement() or MatSchurComplementSet() though they need not be the same matrices

### See Also

MatCreateNormal(), MatMult(), MatCreate(), MatSchurComplementGetKSP(), MatCreateSchurComplement()

Level:intermediate
Location:src/ksp/ksp/utils/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages